﻿@model WebAppLibrary.Models.DAO.Book

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Book</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Id)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Id)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.PublicationYear)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.PublicationYear)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Author)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Author.FullName)
        </dd>
        <dt class="col-sm-2"> 
            @Html.DisplayNameFor(model => model.Genre)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Genre.Nombre)
        </dd>
    </dl>
</div>
<div>
    @Html.ActionLink("Edit", "Edit", new {  id = Model.Id }) |
    <a asp-action="Index">Back to List</a>
</div>
